Trigger report generation

View as MarkdownOpen in Claude

Submits a request to generate an instance of a Flex Query report. On success, returns a ReferenceCode to be passed to /GetStatement to retrieve the generated report.

Rate limit: 1 request per second; maximum 10 requests per minute per token.

Query parameters

tstringRequired

The access token created for the Flex Web Service in Client Portal under Reporting -> Flex Queries.

qstringRequired

The Query ID of the desired Flex Query report template, obtained from Client Portal under Reporting -> Flex Query.

venumRequired

Version of the Flex Web Service. Values 2 and 3 are supported; version 3 should always be used.

Allowed values:
fdstringOptional

Short for fromDate. Define the earliest date to retrieve. If fd is used, the td parameter is required.

tdstringOptional

Short for toDate. Define the final date to retrieve. If td is used, the fd parameter is required.

pintegerOptional1-365

Short for Period. Number of days from the current date to retrieve data for. A maximum of 365 days may be requested.

Response

XML response indicating whether the report generation request succeeded or failed. Check the Status element to determine the outcome.